Bug 433658 - Installer / rescue from 2008-02-19 not handling bad partitions usefully
Installer / rescue from 2008-02-19 not handling bad partitions usefully
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
x86_64 Linux
low Severity low
: ---
: ---
Assigned To: David Lehman
Fedora Extras Quality Assurance
: 435210 (view as bug list)
Depends On:
Blocks: F9Beta
  Show dependency treegraph
Reported: 2008-02-20 13:16 EST by Bruno Wolff III
Modified: 2008-03-10 13:23 EDT (History)
1 user (show)

See Also:
Fixed In Version: anaconda-
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-03-10 13:23:47 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
Traceback from install attempt (534.58 KB, application/octet-stream)
2008-02-20 13:16 EST, Bruno Wolff III
no flags Details
Anaconda traceback dump (529.48 KB, text/plain)
2008-02-27 16:03 EST, Bruno Wolff III
no flags Details

  None (edit)
Description Bruno Wolff III 2008-02-20 13:16:18 EST
Description of problem:
I have been trying to install rawhide with encryption on top of raid and have
been having some problems.
I was trying out the boot.iso from 2008-02-19 and it crashed after confirming
that I really wanted to install rawhide. I think this was because it couldn't
figure out what to do with partitions that were incompletely set up when I tried
using the alpha iso to do the install.
Then I tried booting in rescue mode so that I could use badblocks to overwrite
the partition table (I had to do this when using the alpha iso) and got prompted
for a password to the partitions (which shouldn't have been encrypted) and the
raid arrays. The pasword didn't seem to work. After skipping ahead (since I
didn't need to mount the filesystems) anaconda crashed without the option to
save state.
The error messgae was:
rootparts = ananconda.id.diskset.findExistingRootPartitions(upgradeany =
File "/usr/lib/anaconda/partedUtils.py", line 775, in findExisting
except SystemError, (errno, msg):
ValueError: need more than 1
value to unpack
install exited abnormally [1/1]

I am attaching the saved traceback from the install attempt (not the rescue

Version-Release number of selected component (if applicable):
I am not sure of the version built into the boot.iso.

How reproducible:
100% with the current hard drive contents, reproducing that might prove tricky.

Steps to Reproduce:
1. Use alpha.iso to try to install with encryption on top of raid.
2. Use boot.iso do to an install after the above step has failed.
Actual results:

Expected results:

Additional info:
Comment 1 Bruno Wolff III 2008-02-20 13:16:18 EST
Created attachment 295436 [details]
Traceback from install attempt
Comment 2 Bruno Wolff III 2008-02-27 16:03:28 EST
Created attachment 296121 [details]
Anaconda traceback dump

Today's images have the same problem. After partially installing with
encryption over raid, further installs were blocked until the partition
table was wiped.
Comment 3 Jeremy Katz 2008-03-02 12:32:19 EST
*** Bug 435210 has been marked as a duplicate of this bug. ***
Comment 4 Jeremy Katz 2008-03-02 16:17:56 EST
The traceback won't happen as of tomorrow's rawhide, but there might still be
problems lingering.  So I'll leave this open to be tested then.
Comment 5 petrosyan 2008-03-10 13:23:47 EDT
This bug has been fixed in current anaconda-

Note You need to log in before you can comment on or make changes to this bug.